Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ihr.xbrl.om.xdt
Class XDTValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ihr.xbrl.om.errors.XBRLValidationException
                  com.ihr.xbrl.om.xdt.XDTValidationException

All Implemented Interfaces:
  java.io.Serializable

    public class XDTValidationException

extends XBRLValidationException

Author:
  Ignacio
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `XBRLDIE`
`static java.lang.String` | `XBRLDTE`

Fields inherited from class com.ihr.xbrl.om.errors.XBRLValidationException
`ARC_SOURCE_ERROR, ARC_TARGET_ERROR, ARCROLE_TYPE_UNRESOLVABLE, ARCROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA, CONCEPT_BALANCE_AMBIGUOUS, CONCEPT_INVALID_TYPE, CONCEPT_LABEL_SOURCE_IS_NOT_CONCEPT, CONCEPT_LABEL_TARGET_INVALID, CONCEPT_LABEL_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED, CONCEPT_LABEL_TARGET_IS_NOT_RESOURCE, CONCEPT_MISSING_PERIODTYPE, CONCEPT_NOT_FOUND, CONCEPT_NUMERIC_MISSING_UNIT, CONCEPT_PERIOD_TYPE_MISTMATCH, CONCEPT_REFERENCE_SOURCE_IS_NOT_CONCEPT, CONCEPT_REFERENCE_TARGET_INVALID, CONCEPT_REFERENCE_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED, CONCEPT_REFERENCE_TARGET_NOT_RESOURCE, DTS_DISCOVERY_EXCEPTION, DUPLICATE_EXCEPTION, DUPLICATE_USED_ON, ENCAPSULATE_DTS_DISCOVERY_EXCEPTION, ENCAPSULATE_JAVA_EXCEPTION, ENCAPSULATE_LICENSEVERIFICATION_EXCEPTION, ENCAPSULATE_XBRL_EXCEPTION, ENCAPSULATE_XPATH_EXCEPTION, ERROR_OK, ESSENCE_ALIAS_DIFFERENT_BALANCE, ESSENCE_ALIAS_DIFFERENT_ITEM_TYPES, ESSENCE_ALIAS_DIFFERENT_PERIOD_TYPES, ESSENCE_ALIAS_NON_UEQUAL, ESSENCE_ALIAS_NON_VEQUAL, ESSENCE_ALIAS_SOURCE_NOT_ITEM, ESSENCE_ALIAS_TARGET_NOT_ITEM, FACT_DECIMALS_AND_PRECISION, FACT_ERROR, FACT_FOOTNOTEARC_SOURCE_NOT_FACT, FACT_FOOTNOTEARC_SOURCE_OUT_OF_INSTANCE, FACT_FOOTNOTEARC_TARGET_NOT_RESOURCE, FACT_FOOTNOTEARC_TARGET_OUT_OF_INSTANCE, FACT_NILLED_HAS_DECIMALS_OR_PRECISION, FACT_NO_DECIMALS_NO_PRECISION, FOOTNOTE_MISSING_LANG, FORMULA_PROCESSOR_EXCEPTION, GENERAL_SPECIAL_SOURCE_NOT_ITEM, GENERAL_SPECIAL_TARGET_NOT_ITEM, INCONSISTENCY_AS_EXCEPTION, INCONSISTENT_DTS_OPERATION_EXCEPTION, INVALID_ATTRIBUTE_VALUE, INVALID_DIRECTED_CYCLES_FOUND, INVALID_NUMBER_OF_VALUES_FOR_ATTRIBUTE, INVALID_UNDIRECTED_CYCLES_FOUND, INVALID_XPOINTER_FOR_XBRL, LABEL_MISSING_LANG, MULTIPLE_NON_SEQUAL_ARCROLE_TYPE_DEFINITIONS, MULTIPLE_NON_SEQUAL_ROLE_TYPE_DEFINITIONS, NO_LABEL_FOR_PREFERRED_LABELROLE, NUMERIC_VALUE_CANT_GET_TYPE_ERROR, OK, PERIOD_DATES_INVALID, PREFERRED_LABEL_ROLE_TYPE_NOT_DEFINED, PURE_RUNTIME_EXCEPTION, REDEFINE_ERROR, REQUIRES_ELEMENT_TARGET_NOT_FOUND, ROLE_TYPE_UNRESOLVABLE, ROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA, SCENARIO_INVALID_CONTENT, SCHEMA_EXCEPTION, SEGMENT_INVALID_CONTENT, SUMMATION_ITEM_INVALID_DEBIT_CREDIT_RELATIONSHIP, SUMMATION_ITEM_INVALID_WEIGHT_VALUE, SUMMATION_ITEM_SOURCE_NOT_ITEM, SUMMATION_ITEM_SOURCE_NOT_NUMERIC, SUMMATION_ITEM_TARGET_NOT_ITEM, SUMMATION_ITEM_TARGET_NOT_NUMERIC, TARGET_IS_NOT_CONCEPT, TARGET_IS_NOT_CONTEXT, TARGET_IS_NOT_FACT, TARGET_IS_NOT_UNIT, TUPLE_INVALID_ATTRIBUTE, TUPLE_INVALID_CONTENT, UNIT_ERROR, UNREADABLE_DOCUMENT, XDT_EXCEPTION, XLINK_ERROR, XLINK_ERROR_DUPLICATE_ARCS, XLINK_ERROR_TARGET_IS_NOT_SCHEMA, XLINK_ERROR_UNRESOLVABLE_URI`

Constructor Summary
`XDTValidationException(javax.xml.namespace.QName qError, java.lang.String string)`

Method Summary
`javax.xml.namespace.QName` | `getQNameError()`

Methods inherited from class com.ihr.xbrl.om.errors.XBRLValidationException
`documentException, getCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XBRLDTE

    public static final java.lang.String XBRLDTE

See Also:
  Constant Field Values

### XBRLDIE

    public static final java.lang.String XBRLDIE

See Also:
  Constant Field Values

Constructor Detail

### XDTValidationException

    public XDTValidationException(javax.xml.namespace.QName qError,
                                  java.lang.String string)

Parameters:
  `qError` -
  `string` -

Method Detail

### getQNameError

    public javax.xml.namespace.QName getQNameError()

  Overrides:
    `getQNameError` in class `XBRLValidationException`
  Returns:
    QName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD